Metadata-Version: 2.4
Name: bm-preprocessing
Version: 0.1.0
Summary: A package to view source code from DM and IR modules
Requires-Python: >=3.8
Requires-Dist: build>=1.2.2.post1
Requires-Dist: twine>=6.1.0
Description-Content-Type: text/markdown

# bm-preprocessing

A Python package that displays source code from DM and IR modules.

## Usage

```python
from bm_preprocessing.IR import all
print(all)  # Prints the entire source code of IR/all.py

from bm_preprocessing.DM import apriori
print(apriori)  # Prints the entire source code of DM/apriori.py
```

## Available Modules

### IR
- `all` - Information Retrieval algorithms

### DM
- `all` - Data Mining algorithms
- `apriori` - Apriori algorithm implementation
- `hash` - Hash-based mining
- `preprocessing` - Data preprocessing utilities
